package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.UserAddress;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.UserAddressMapper")
public interface UserAddressMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(UserAddress record);

    UserAddress selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserAddress record);

    List<UserAddress> queryAllUserAddress(UserAddress record);

    List<UserAddress> queryUserAddressByPage(Map<String, Object> parameter);

    int delete(String id);

    UserAddress queryUserAddress(UserAddress record);

    List<UserAddress> query(UserAddress record);

    int setDefaultUserAddress(Map<String,Object> parameter);
}

